OpenCV: cvflann::ResultSet< DistanceType > Class Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cvflann::ResultSet< DistanceType > Class Template Referenceabstract

`#include "result_set.h"`

Inheritance diagram for cvflann::ResultSet< DistanceType >:

## Public Member Functions
virtual | ~ResultSet ()
virtual void | addPoint (DistanceType dist, int index)=0
virtual bool | full () const =0
virtual DistanceType | worstDist () const =0

## Constructor & Destructor Documentation

## ◆ ~ResultSet()

template<typename DistanceType>

virtual cvflann::ResultSet< DistanceType >::~ResultSet | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ addPoint()

template<typename DistanceType>

virtual void cvflann::ResultSet< DistanceType >::addPoint | ( | DistanceType | dist,
|  | int | index
| ) |  |
| pure virtual

Implemented in cvflann::RadiusUniqueResultSet< DistanceType >, cvflann::KNNUniqueResultSet< DistanceType >, cvflann::RadiusResultSet< DistanceType >, cvflann::KNNResultSet< DistanceType >, and cvflann::KNNSimpleResultSet< DistanceType >.

## ◆ full()

template<typename DistanceType>

virtual bool cvflann::ResultSet< DistanceType >::full | ( |  | ) | const
| pure virtual

Implemented in cvflann::RadiusUniqueResultSet< DistanceType >, cvflann::UniqueResultSet< DistanceType >, cvflann::RadiusResultSet< DistanceType >, cvflann::KNNResultSet< DistanceType >, and cvflann::KNNSimpleResultSet< DistanceType >.

## ◆ worstDist()

template<typename DistanceType>

virtual DistanceType cvflann::ResultSet< DistanceType >::worstDist | ( |  | ) | const
| pure virtual

Implemented in cvflann::RadiusUniqueResultSet< DistanceType >, cvflann::UniqueResultSet< DistanceType >, cvflann::RadiusResultSet< DistanceType >, cvflann::KNNResultSet< DistanceType >, and cvflann::KNNSimpleResultSet< DistanceType >.

The documentation for this class was generated from the following file:

- flann/include/opencv2/flann/result_set.h